// 初始化状态
const initState = {
  homeInfo: {},
  myList: [],
  firstLoad: true,
  tab: 0
};

export function home(state = initState, action) {
  switch (action.type) {
    case 'RECEIVE_HOME':
      return {
        ...state,
        homeInfo: action.homeInfo
      };
    case 'LEAVE_MYLIST':
      return {
        ...state,
        myLeaveList: action.dataList
      };
    case 'LEAVE_APPROVELIST':
      return {
        ...state,
        myApproveList: action.dataList
      };
    case 'LEAVE_MYDETAIL': 
      return {
        ...state,
        myDetail: action.dataList
      };
    case 'CHANGE_STATUS':
      return {
        ...state,
        firstLoad: action.status
      };
    case 'CHANGE_TAB':
      return {
        ...state,
        tab: action.tab
      }; 
    default:
      return { ...state };
  }
};
