async function getAuthCode() {
  const info = await HWH5.wecodeInfo();
  let authcode = '';
  if (!info.appId) {
    HWH5.toast({ msg: `get appid error appId: ${info.appId}` });
  } else {
    authcode = await HWH5.getAuthCode({
      clientId: info.appId || '20181219175916670'
    });
    authcode.code === '' || typeof authcode.code === 'undefined' ? HWH5.toast({ msg: 'auth code get error' }) : '';
  }
  return authcode.code;
}
export default getAuthCode;
