package com.cloudlink.open.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "wecode.info")
@Component("weDemoConfig")
public class WeDemoConfig {
	private String appId;
	private String appSecret;
	private String tokenURL;
	private String userIdURL;
	private String userInfoURL;
	public String getAppId() {
		return appId;
	}
	public void setAppId(String appId) {
		this.appId = appId;
	}
	public String getAppSecret() {
		return appSecret;
	}
	public void setAppSecret(String appSecret) {
		this.appSecret = appSecret;
	}
	public String getTokenURL() {
		return tokenURL;
	}
	public void setTokenURL(String tokenURL) {
		this.tokenURL = tokenURL;
	}
	public String getUserIdURL() {
		return userIdURL;
	}
	public void setUserIdURL(String userIdURL) {
		this.userIdURL = userIdURL;
	}
	public String getUserInfoURL() {
		return userInfoURL;
	}
	public void setUserInfoURL(String userInfoURL) {
		this.userInfoURL = userInfoURL;
	}

	

}
