package com.cloudlink.open.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "OA_LEAVE")
public class LeaveModel {
	@Column(name = "begin_time")
	private String beginTime;
	@Column(name = "end_time")
	private String endTime;
	@Column(name = "user_id")
	private String applyUserId;
	@Column(name = "leave_reason")
	private String leaveReason;
	@Column(name = "leader_id")
	private String leaderId;
	@Column(name = "leader_name")
	private String leaderName;
	@Column(name = "leave_type")
	private String leaveType;
	@Column(name = "accessory_url")
	private String accessoryUrl;
	@Column(name = "state_value")
	private String stateValue;
	@Column(name = "state_key")
	private int stateKey;
	@Column(name = "approve_comment")
	private String approveComment;
	@Column(name = "user_name")
	private String userName;
	@Id
	private String id;
	@Column(name = "create_time")
	private String createTime;
	@Column(name = "is_draft")
	private int isDraft;

	public String getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}



	public String getLeaveType() {
		return leaveType;
	}

	public void setLeaveType(String leaveType) {
		this.leaveType = leaveType;
	}

	public String getAccessoryUrl() {
		return accessoryUrl;
	}

	public void setAccessoryUrl(String accessoryUrl) {
		this.accessoryUrl = accessoryUrl;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLeaderId() {
		return leaderId;
	}

	public void setLeaderId(String leaderId) {
		this.leaderId = leaderId;
	}

	public String getLeaderName() {
		return leaderName;
	}

	public void setLeaderName(String leaderName) {
		this.leaderName = leaderName;
	}

	public String getStateValue() {
		return stateValue;
	}

	public void setStateValue(String stateValue) {
		this.stateValue = stateValue;
	}

	public int getStateKey() {
		return stateKey;
	}

	public void setStateKey(int stateKey) {
		this.stateKey = stateKey;
	}

	public String getApproveComment() {
		return approveComment;
	}

	public void setApproveComment(String approveComment) {
		this.approveComment = approveComment;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getApplyUserId() {
		return applyUserId;
	}

	public void setApplyUserId(String applyUserId) {
		this.applyUserId = applyUserId;
	}

	public int getIsDraft() {
		return isDraft;
	}

	public void setIsDraft(int isDraft) {
		this.isDraft = isDraft;
	}

	public String getLeaveReason() {
		return leaveReason;
	}

	public void setLeaveReason(String leaveReason) {
		this.leaveReason = leaveReason;
	}

}
