let configs = {};
/**
 * 前端基本配置文件
 */
if (process.env.APP_ENV === 'production') {
  configs = {
    prefix: {
      cloudlink: 'http://api-beta.digitalworkplace.cn/wecode/demo/v1',
      header: 'https://cloudlinkworkplace-api.huaweicloud.com'
    }
  };
} else if (process.env.APP_ENV === 'uat') {
  configs = {
    prefix: {
      cloudlink: 'http://api-beta.digitalworkplace.cn/wecode/demo/v1',
      header: 'https://api-cloudlink.digitalworkplace.cn'
    }
  };
} else {
  /* 开发环境 */
  configs = {
    prefix: {
      cloudlink: 'http://api-beta.digitalworkplace.cn/wecode/demo/v1',
      header: 'https://api-cloudlink.digitalworkplace.cn'
    }
  };
}

const { prefix } = configs;
const { cloudlink, header } = prefix;

module.exports = {
  urls: {
    leave: cloudlink + '/leave',
    detail: cloudlink + '/leave/',
    mylist: cloudlink + '/leaves',
    approvelist: cloudlink + '/approval/leaves',
    approve: cloudlink + '/leave/approval',
    myApplyDraft: cloudlink + '/draft/leaves',
    headIcon: header + '/mcloud/mag/ProxyForImage/w3labyellowpage/face/{0}/120?method=getStream'
  }
};
