/**
 * 路由配置文件
 * 如果需要按需加载，可使用asyncComponent加载，用法请参考README.md文件
 */
import matchUrlComponent from './MatchUrlComponent';
import Home from './Home';
import Apply from './Apply';
import Detail from './Detail';

const routes = [
  { path: '/', defaultComponent: Home, exact: true },
  { path: '/apply', component: Apply, exact: true },
  { path: '/detail/:type/:detailId', component: Detail, exact: true }
];

routes[0].component = matchUrlComponent(routes);

export default routes;
